Runtime

## org.eclipse.gmf.runtime.diagram.core.view.factories
Interface DiagramFactory

    public interface DiagramFactory

Interface defining the basic Diagram Factory APIs; a diagram factory is responsible for creating a diagram. The `createDiagram` will be called by the `ViewService`(using reflection) during a diagram creation process. The Diagram Factory implementation class is provided to the `ViewService` by the `CreateDiagramViewOperation`````

See Also:
  `ViewService`, `CreateDiagramViewOperation`

Method Summary
`Diagram` `createDiagram(IAdaptable semanticAdapter, java.lang.String diagramKind, PreferencesHint preferencesHint)`

Method Detail

### createDiagram

    Diagram createDiagram(IAdaptable semanticAdapter,
                          java.lang.String diagramKind,
                          PreferencesHint preferencesHint)

  Parameters:
    `semanticAdapter` -
    `diagramKind` -
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.
  Returns:

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.